=== debian/changelog ===
gemrb (0.8.0maemo2) unstable; urgency=low
  Fixed missing hildon desktop shortcut
 -- Nerdknight <nerdknight@gmail.com>  Wed, 9 May 2013 08:55:00 -0300
