=== gemrb/core/CMakeLists.txt ===
--- 
+++ 
@@ -93,6 +93,7 @@
 	TileOverlay.cpp
 	TileSetMgr.cpp
 	Variables.cpp
+	VEFObject.cpp
 	Video.cpp
 	WindowMgr.cpp
 	WorldMap.cpp
@@ -151,12 +152,9 @@
 	ENDIF(WIN32)
 endif (STATIC_LINK)
 
-SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
-	COMPILE_DEFINITIONS
-	"PLUGINDIR=\"${PLUGIN_DIR}\";DATADIR=\"${DATA_DIR}\";SYSCONFDIR=\"${SYSCONF_DIR}\""
-	)
-
 IF (APPLE)
 	SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
-	INSTALL_NAME_DIR ${LIB_DIR})
+	INSTALL_NAME_DIR ${LIB_DIR}
+	LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/gemrb/${PROJECT_NAME}.app/Contents/Frameworks
+)
 ENDIF (APPLE)
