=== gemrb/plugins/AREImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (AREImporter AREImporter.cpp)
