=== gemrb/plugins/BAMImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (BAMImporter BAMImporter.cpp BAMFontManager BAMFont.cpp BAMSprite2D.cpp)
