=== gemrb/plugins/SDLAudio/CMakeLists.txt ===
IF (SDLMIXER_LIBRARY)
	INCLUDE_DIRECTORIES( ${SDL_INCLUDE_DIR} ${SDLMIXER_INCLUDE_DIR})

	ADD_GEMRB_PLUGIN (SDLAudio SDLAudio.cpp )
	TARGET_LINK_LIBRARIES( SDLAudio ${SDL_LIBRARY} ${SDLMIXER_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} )
ENDIF (SDLMIXER_LIBRARY)
