=== gemrb/plugins/TLKImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (TLKImporter TLKImporter.cpp TlkOverride.cpp)
