=== debian/changelog ===
gemrb (0.8.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.1
  * Remove libvlccore-dev Build-Depends. (Closes: #759261)
  * Fix GemRB default paths to match the Debian package split between plugins
    in /usr/lib/gemrb and arch-independent files in /usr/share/gemrb.
  * Add a README file with some hints regarding the configuration of GemRB and
    installation of the game's data. (Closes: #755841)
  * Remove deprecated python-support dependency.
  * Replace libsdl1.2 dependency with libsdl2.
  * Increase Standards-Version to 3.9.5.

 -- Beren Minor <beren.minor+debian@gmail.com>  Thu, 14 Aug 2014 22:20:32 +0200
