=== debian/control ===
Source: gemrb
Section: contrib/games
Priority: optional
Maintainer: Beren Minor <beren.minor+debian@gmail.com>
Build-Depends: debhelper (>= 9), cmake, python-dev, libsdl2-dev,
 libsdl2-mixer-dev, libz-dev, libopenal-dev, libpng-dev,
 libogg-dev, libvorbis-dev, libvlc-dev, libglew-dev, libfreetype6-dev
Standards-Version: 3.9.5
Homepage: http://www.gemrb.org/
Vcs-Git: git://anonscm.debian.org/pkg-games/gemrb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/gemrb.git

Package: gemrb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, gemrb-data (=${source:Version}), libgemrb (=${binary:Version})
Recommends: innoextract
Description: Open-source engine to run Baldur's Gate, Icewind Dale and Planescape: Torment
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 It means that you either need some of the original game's data
 somewhere on your harddisk, or you can try to use the data from the
 Dragonlance Total Conversion project.
 .
 The original game data has to be installed on a windows
 partition and mounted to your Linux/Unix filesystem, installed on
 windows and then copied to your filesystem, installed with WINE or
 extracted manually from the CDs using the tool `unshield'.
 .
 Supported games: Baldur's Gate and Icewind Dale series, Planescape:Torment.

Package: libgemrb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared libraries and plugins for GemRB
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains GemRB core shared libraries and plugins.


Package: gemrb-doc
Section: contrib/doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for GemRB
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains documentation about GemRB and how to write custom games.

Package: gemrb-data
Architecture: all
Depends: ${misc:Depends}
Description: Common data files for GemRB
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files used across all supported games.


Package: gemrb-baldurs-gate-data
Architecture: all
Depends: ${misc:Depends}, gemrb-data (=${source:Version})
Description: GemRB data files for Baldur's Gate game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files for Baldur's Gate game.

Package: gemrb-baldurs-gate
Architecture: any
Depends: ${misc:Depends}, gemrb (=${binary:Version}), gemrb-baldurs-gate-data (=${source:Version})
Description: GemRB binary and configuration for Baldur's Gate game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains configuration sample and binary for Baldur's Gate game.


Package: gemrb-baldurs-gate-2-data
Architecture: all
Depends: ${misc:Depends}, gemrb-data (=${source:Version})
Description: GemRB data files for Baldur's Gate 2 game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files for Baldur's Gate 2 game.

Package: gemrb-baldurs-gate-2
Architecture: any
Depends: ${misc:Depends}, gemrb (=${binary:Version}), gemrb-baldurs-gate-2-data (=${source:Version})
Description: GemRB binary and configuration for Baldur's Gate 2 game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains configuration sample and binary for Baldur's Gate 2 game.


Package: gemrb-icewind-dale-data
Architecture: all
Depends: ${misc:Depends}, gemrb-data (=${source:Version})
Description: GemRB data files for Icewind Dale game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files for Icewind Dale game.

Package: gemrb-icewind-dale
Architecture: any
Depends: ${misc:Depends}, gemrb (=${binary:Version}), gemrb-icewind-dale-data (=${source:Version})
Description: GemRB binary and configuration for Icewind Dale game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains configuration sample and binary for Icewind Dale game.


Package: gemrb-icewind-dale-2-data
Architecture: all
Depends: ${misc:Depends}, gemrb-data (=${source:Version})
Description: GemRB data files for Icewind Dale 2 game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files for Icewind Dale 2 game.

Package: gemrb-icewind-dale-2
Architecture: any
Depends: ${misc:Depends}, gemrb (=${binary:Version}), gemrb-icewind-dale-2-data (=${source:Version})
Description: GemRB binary and configuration for Icewind Dale 2 game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains configuration sample and binary for Icewind Dale 2 game.


Package: gemrb-planescape-torment-data
Architecture: all
Depends: ${misc:Depends}, gemrb-data (=${source:Version})
Description: GemRB data files for Planescape: Torment game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files for Planescape: Torment game.

Package: gemrb-planescape-torment
Architecture: any
Depends: ${misc:Depends}, gemrb (=${binary:Version}), gemrb-planescape-torment-data (=${source:Version})
Description: GemRB binary and configuration for Planescape: Torment game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains configuration sample and binary for Planescape: Torment
 game.
