## gemrb 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,16 +28,15 @@
 
 PROJECT(gemrb)
 # try to extract the version from the source
-execute_process(
-	COMMAND sed -n "s/\#define VERSION_GEMRB .\\([^\"]*\\).$/\\1/p" ${CMAKE_CURRENT_SOURCE_DIR}/gemrb/includes/globals.h
-	OUTPUT_VARIABLE GEMRB_VERSION
-	RESULT_VARIABLE RC
-	OUTPUT_STRIP_TRAILING_WHITESPACE
-)
-if(${RC} GREATER 0) # lookup failed
+FILE(READ ${CMAKE_CURRENT_SOURCE_DIR}/gemrb/includes/globals.h GLOBALS)
+SET(GEMRB_VERSION "")
+STRING(REGEX MATCH "define VERSION_GEMRB .([^\"]*)" GEMRB_VERSION "${GLOBALS}")
+STRING(REGEX REPLACE "define VERSION_GEMRB .([^\"]*)$" "\\1" GEMRB_VERSION "${GEMRB_VERSION}")
+if(GEMRB_VERSION STREQUAL "") # lookup failed
 	set(GEMRB_VERSION "unknown")
-endif(${RC} GREATER 0)
+endif()
 message("Detected version: ${GEMRB_VERSION}")
+unset(GLOBALS)
 
 IF(PREFIX)
 	SET(PREFIX CACHE PATH "Abbreviation for CMAKE_INSTALL_PREFIX.")
@@ -119,29 +118,32 @@
 endif (${LAYOUT} MATCHES "home")
 
 # check if this is a release version
-execute_process(
-	COMMAND echo ${GEMRB_VERSION}
-	COMMAND grep -q git # cmake creates a pipe by itself
-	RESULT_VARIABLE RC
-	OUTPUT_QUIET
-)
-if(${RC} GREATER 0) # no match or error
+SET(RC "")
+STRING(REGEX MATCH "-git$" RC ${GEMRB_VERSION})
+if(RC STREQUAL "")
 	set (GIT_VERSION 0)
 else()
 	set (GIT_VERSION 1)
 endif()
+MESSAGE("Git version bool: ${GIT_VERSION}")
 
 IF(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
 	if ((NOT DISABLE_WERROR) AND GIT_VERSION)
-		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wno-error=cast-align")
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wno-error=inline -Wno-error=cast-align -Wmissing-declarations -Winline")
 	endif ()
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -W -Wpointer-arith -Wcast-align")
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic -Wno-format-y2k -Wno-long-long -fno-strict-aliasing")
+	# mark chars explicitly signed (ARM defaults to unsigned)
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsigned-char")
 	# only export symbols explicitly marked to be exported.
 	INCLUDE(CheckCXXCompilerFlag)
 	CHECK_CXX_COMPILER_FLAG("-fvisibility=hidden" VISIBILITY_HIDDEN)
 	IF (VISIBILITY_HIDDEN AND NOT WIN32)
 		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
+	ENDIF ()
+	CHECK_CXX_COMPILER_FLAG("-fno-stack-protector" STACK_PROTECTOR)
+	IF (STACK_PROTECTOR)
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-stack-protector")
 	ENDIF ()
 	if (WIN32)
 		# GCC 4.5.0+ has shared libstdc++ without dllimport
@@ -152,16 +154,14 @@
 	if (NOT APPLE AND NOT UNSAFE_PLUGIN)
 		set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined")
 	endif (NOT APPLE AND NOT UNSAFE_PLUGIN)
+	# GNU systems need to define the Mersenne exponent for the RNG to compile w/o warning
+	ADD_DEFINITIONS("-DSFMT_MEXP=19937")
 ENDIF()
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
 
 # Check for all the required and optional dependencies
-IF((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
-	FIND_PACKAGE(PythonLibs 2.3 REQUIRED)
-ELSE((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
-	INCLUDE(FindPythonLibs)
-ENDIF((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
+FIND_PACKAGE(PythonLibs 2.3 REQUIRED)
 IF(PYTHONLIBS_FOUND)
 	MESSAGE(STATUS "Looking for Python libraries and headers: found")
 ELSE()
@@ -249,7 +249,7 @@
 ELSE()
 	INCLUDE(FindSDL_mixer)
 ENDIF()
-IF(SDLMIXER_FOUND)
+IF(SDL_MIXER_FOUND)
 	MESSAGE(STATUS "Looking for SDL_mixer: found")
 ELSE()
 	MESSAGE(WARNING "Looking for SDL_mixer: not found!")
@@ -327,7 +327,3 @@
 	# Make sure we can find the 'ibtool' program. we need it to compile xibs
 	find_program(IBTOOL ibtool HINTS "/usr/bin" "${OSX_DEVELOPER_ROOT}/usr/bin")
 	IF (${IBTOOL} STREQUAL "IBTOOL-NOTFOUND")
-  		MESSAGE (FATAL_ERROR "ibtool can not be found and is needed to compile the .xib files. It should have been installed with 
-                    the Apple developer tools. The default system paths were searched in addition to ${OSX_DEVELOPER_ROOT}/usr/bin")
-	ENDIF ()
-
