=== gemrb/core/CMakeLists.txt ===
--- 
+++ 
@@ -118,6 +118,8 @@
 	GUI/TextEdit.cpp
 	GUI/Window.cpp
 	GUI/WorldMapControl.cpp
+	RNG/RNG_SFMT.cpp
+	RNG/sfmt/SFMT.c
 	Scriptable/Actor.cpp
 	Scriptable/CombatInfo.cpp
 	Scriptable/Container.cpp
@@ -152,6 +154,12 @@
 	ENDIF(WIN32)
 endif (STATIC_LINK)
 
+# make lintian happy
+SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
+	VERSION "${GEMRB_VERSION}"
+	SOVERSION "${GEMRB_VERSION}"
+)
+
 IF (APPLE)
 	SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
 	INSTALL_NAME_DIR ${LIB_DIR}
