=== debian/changelog ===
gemrb (0.8.2-1) unstable; urgency=medium

  * Imported Upstream version 0.8.2
  * Increase Standards-Version to 3.9.6.
  * Updated copyright information for SFMT.
  * Updated copyright year for debian files.

 -- Beren Minor <beren.minor+debian@gmail.com>  Fri, 02 Jan 2015 01:08:34 +0100
