=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), cmake, python-dev, libsdl2-dev,
  libsdl2-mixer-dev, libz-dev, libopenal-dev, libpng-dev,
  libogg-dev, libvorbis-dev, libvlc-dev, libglew-dev, libfreetype6-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gemrb.org/
 Vcs-Git: git://anonscm.debian.org/pkg-games/gemrb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/gemrb.git
