=== gemrb/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # GUIScripts and override go directly in the bundle
 SET(RESOURCE_LIST "GUIScripts" "override" "unhardcoded")
+IF (USE_OPENGL)
+	LIST(APPEND RESOURCE_LIST "plugins/SDLVideo/Shaders")
+ENDIF()
 SET(RESOURCE_FILES "")
 
 FOREACH(RESOURCE_DIR_NAME ${RESOURCE_LIST})
