=== gemrb/docs/CMakeLists.txt ===
ADD_SUBDIRECTORY( en )
