=== gemrb/plugins/BMPImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (BMPImporter BMPImporter.cpp)
