=== gemrb/plugins/PLTImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (PLTImporter PLTImporter.cpp)
