=== gemrb/plugins/PNGImporter/CMakeLists.txt ===
IF(PNG_FOUND)
INCLUDE_DIRECTORIES( ${PNG_INCLUDE_DIR} )
ADD_GEMRB_PLUGIN (PNGImporter PNGImporter.cpp)
TARGET_LINK_LIBRARIES( PNGImporter ${PNG_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} )
ENDIF( PNG_FOUND )
