=== gemrb/plugins/WEDImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (WEDImporter WEDImporter.cpp)
