=== debian/changelog ===
gemrb (0.8.3-1) unstable; urgency=medium

  * Imported Upstream version 0.8.3
  * Add dh-python to Build-Depends.
  * Remove deprecated menu files.
  * Update lintian-overrides for hardening-no-fortify-functions false-positives.
  * Update copyright dates.
  * Add game-data-packager and lgogdownloader to Recommends.
  * Change default lookup path to /usr/share/gemrb/... in the /etc/gemrb
    configuration files.
  * Mention game-data-packager support in README.Debian. (Closes: #802951)

 -- Beren Minor <beren.minor+debian@gmail.com>  Mon, 23 Nov 2015 20:45:05 +0200
