=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Beren Minor <beren.minor+debian@gmail.com>
 Build-Depends: debhelper (>= 9), cmake, python-dev, libsdl2-dev,
  libsdl2-mixer-dev, libz-dev, libopenal-dev, libpng-dev,
- libogg-dev, libvorbis-dev, libvlc-dev, libglew-dev, libfreetype6-dev
+ libogg-dev, libvorbis-dev, libvlc-dev, libglew-dev, libfreetype6-dev,
+ dh-python
 Standards-Version: 3.9.6
 Homepage: http://www.gemrb.org/
 Vcs-Git: git://anonscm.debian.org/pkg-games/gemrb.git
@@ -13,7 +14,7 @@
 Package: gemrb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python, gemrb-data (=${source:Version}), libgemrb (=${binary:Version})
-Recommends: innoextract
+Recommends: game-data-packager, innoextract, lgogdownloader
 Description: Open-source engine to run Baldur's Gate, Icewind Dale and Planescape: Torment
  GemRB (Game Engine Made with preRendered Background) is a new implementation
  of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
