=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_SDL2=1 -DUSE_OPENGL=1
