=== debian/watch ===
version=3
https://github.com/gemrb/gemrb/tags .*/archive/v(\d[\d\.]+).tar.gz
